---
layout: post
title: ESLint 0.8.2 released
tags:
  - release
  - bug fix
---
# ESLint 0.8.2 released

We just pushed ESLint 0.8.2, which is a patch update to fix bugs discovered in 0.8.1 as well as to upgrade dependencies.

## Bug Fixes

* Fix: load .eslintrc from HOME (fixes [#1262](https://github.com/eslint/eslint/issues/1262)) (Beau Gunderson)
* Fix: Load .eslintrc in directory with $HOME as an ancestor (fixes [#1266](https://github.com/eslint/eslint/issues/1266)) (Beau Gunderson)
* Fix: strict should check function expressions (fixes [#1244](https://github.com/eslint/eslint/issues/1244)) (Brandon Mills)

## Enhancements

* New: add ignoreCase option to sort-vars (fixes [#1272](https://github.com/eslint/eslint/issues/1272)) (Mathias Schreck)
* New: Add sharable rule settings (fixes [#1233](https://github.com/eslint/eslint/issues/1233)) (Ilya Volodin)

## Documentation

* Docs: add finally to space-after-keywords documentation (Mathias Schreck)
* Docs: add intellij plugin to integrations (ido)
* Docs: Changing NPM to npm (Peter deHaan)
* Docs: Fix broken Markdown on configuration page (Nicholas C. Zakas)
* Docs: Fix reference to wrong rule name (Harry Wolff)
* Docs: fix typo (Barry Handelman)
* Docs: fix typo in no-ex-assign documentation (Michael Ficarra)
* Docs: fix vars-on-top documentation (fixes [#1234](https://github.com/eslint/eslint/issues/1234)) (Mathias Schreck)
* Docs: Fixed a typo in brace-style.md (Anton Antonov)
* Docs: Update README with links and FAQs (Nicholas C. Zakas)
* Docs: Updated contribution guidelines to add accepted/bounty issues descriptions (Nicholas C. Zakas)

## Dependency Upgrades

* Upgrade: doctrine to 0.5.2 (Nicholas C. Zakas)
* Upgrade: eslint-tester to latest (Nicholas C. Zakas)
* Upgrade: esprima to 1.2.2 (Nicholas C. Zakas)
* Upgrade: Most dev dependencies (Nicholas C. Zakas)
* Upgrade: shelljs to 0.3.0 (Nicholas C. Zakas)
* Upgrade: upgrade outdated dependencies (fixes [#1251](https://github.com/eslint/eslint/issues/1251)) (Mathias Schreck)
